List Agents
curl --request GET \
--url https://api.harvey.ai/api/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.harvey.ai/api/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.harvey.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.harvey.ai/api/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.harvey.ai/api/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.harvey.ai/api/v1/agents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.harvey.ai/api/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agents": [
{
"agent_id": "01a0d9c9-3334-7036-ad4a-d14db13b93ba",
"name": "Termination rights reviewer",
"description": "Reviews an agreement and summarizes termination rights.",
"created_at": "2026-08-02T11:04:12Z",
"version": 7,
"version_id": "9b1f2f41-6a0e-4f3b-9d0a-1c2b3d4e5f60"
},
{
"agent_id": "3e312cec-2841-4f87-8415-f625236ad02d",
"name": "Vendor NDA triage",
"description": "Flags deviations from the standard mutual NDA.",
"created_at": "2026-06-18T09:21:40Z",
"version": 3,
"version_id": "c7d4a1e2-5b86-4f09-a3cd-20e7b9f41d55"
}
],
"pagination": {
"limit": 20,
"has_more": true,
"next_cursor": "eyJ2IjoxLCJsYXN0X2lkIjoiM2UzMTJjZWMtLi4uIn0="
}
}{
"error": "Invalid cursor."
}Agents
List Agents
Lists the agents your workspace authored that you can run, most recently published first.
GET
/
api
/
v1
/
agents
List Agents
curl --request GET \
--url https://api.harvey.ai/api/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.harvey.ai/api/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.harvey.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.harvey.ai/api/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.harvey.ai/api/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.harvey.ai/api/v1/agents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.harvey.ai/api/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agents": [
{
"agent_id": "01a0d9c9-3334-7036-ad4a-d14db13b93ba",
"name": "Termination rights reviewer",
"description": "Reviews an agreement and summarizes termination rights.",
"created_at": "2026-08-02T11:04:12Z",
"version": 7,
"version_id": "9b1f2f41-6a0e-4f3b-9d0a-1c2b3d4e5f60"
},
{
"agent_id": "3e312cec-2841-4f87-8415-f625236ad02d",
"name": "Vendor NDA triage",
"description": "Flags deviations from the standard mutual NDA.",
"created_at": "2026-06-18T09:21:40Z",
"version": 3,
"version_id": "c7d4a1e2-5b86-4f09-a3cd-20e7b9f41d55"
}
],
"pagination": {
"limit": 20,
"has_more": true,
"next_cursor": "eyJ2IjoxLCJsYXN0X2lkIjoiM2UzMTJjZWMtLi4uIn0="
}
}{
"error": "Invalid cursor."
}Permissions
RequiresAgents and workflows API and Use agents and workflows permissions. If these permissions are not available to select, contact support@harvey.ai.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of agents to return per page. Values outside the accepted range are clamped rather than rejected.
Required range:
1 <= x <= 100Opaque pagination cursor returned in the previous response's pagination.next_cursor field. Omit on the first request.